# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'medela_bst_android_excel2xml/version'

Gem::Specification.new do |spec|
  spec.name          = 'medela-bst-android-excel2xml'
  spec.version       = MedelaBstAndroidExcel2xml::VERSION
  spec.authors       = ['Daniel Kummer']
  spec.email         = ['daniel.kummer@namics.com']
  spec.required_ruby_version = '>=2'

  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com' to prevent pushes to rubygems.org, or delete to allow pushes to any server."
  #end

  spec.summary       = %q{Generate android language files based on the translation excel worksheet.}
  spec.homepage      = 'http://www.namics.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  #spec.bindir        = 'exe'
  #spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables = ['medela-bst-android-excel2xml']
  spec.default_executable = 'medela-bst-android-excel2xml'
  spec.require_paths = ['lib']

  spec.add_dependency 'roo', '~> 2.0.0'
  spec.add_dependency 'nokogiri', '~> 1.6.6'
  spec.add_dependency 'thor', '~> 0.19'

  spec.add_development_dependency 'bundler', '~> 1.8'
  spec.add_development_dependency 'rake', '~> 10.0'
end
